summaryrefslogtreecommitdiff
path: root/misc/fribid/fribid.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'misc/fribid/fribid.SlackBuild')
-rw-r--r--misc/fribid/fribid.SlackBuild23
1 files changed, 17 insertions, 6 deletions
diff --git a/misc/fribid/fribid.SlackBuild b/misc/fribid/fribid.SlackBuild
index ccee7ccaae..ab8a6d1e5f 100644
--- a/misc/fribid/fribid.SlackBuild
+++ b/misc/fribid/fribid.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for fribid
-# Copyright 2010 Niklas "Nille" Åkerström
+# Copyright 2010 Niklas "Nille" Åkerström
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,9 +24,11 @@
PRGNAM=fribid
-VERSION=${VERSION:-0.1.3}
+VERSION=${VERSION:-0.3.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Should we build PKCS#11 smartcard support YES RUNTIME or nothing.
+PKCS11=$(echo $PKCS11 | tr 'a-z' 'A-Z')
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -43,6 +45,14 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$PKCS11" = "YES" ]; then
+ PKCS="--enable-pkcs11"
+elif [ "$PKCS11" = "RUNTIME" ]; then
+ PKCS="--optional-pkcs11"
+else
+ PKCS="--disable-pkcs11"
+fi
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -57,7 +67,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -72,14 +82,13 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# patch to compile against system nss
-patch -p1 < $CWD/seamonkey-nss_compile_fix.patch
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--plugin-path=/usr/lib${LIBDIRSUFFIX}/mozilla/plugins \
- --libdir=/usr/lib${LIBDIRSUFFIX}
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ $PKCS
make
make install DESTDIR=$PKG
@@ -87,6 +96,8 @@ make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man $PKG/usr
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \